"use strict";require("core-js/modules/es.promise");Object.defineProperty(exports,"__esModule",{value:true});exports.jscpd=void 0;var _jscpd=require("jscpd");
var _fastGlob=_interopRequireDefault(require("fast-glob"));
var _pluginError=_interopRequireDefault(require("plugin-error"));

var _files=require("../../files.js");function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}



const jscpd=async()=>{
const files=await(0,_fastGlob.default)(_files.JAVASCRIPT);
const clones=await jscpdInstance.detectInFiles(files);

if(clones.length===0){
return;
}

throw new _pluginError.default(
"gulp-jscpd",
`Found ${clones.length} instances of code duplication`);

};exports.jscpd=jscpd;

const jscpdInstance=new _jscpd.JSCPD({
reporters:["consoleFull"],
minLines:1,
maxLines:5e3,
minTokens:35,


storeOptions:{"*":{type:"memory"}}});
//# sourceMappingURL=jscpd.js.map