"use strict";require("core-js/modules/es.array.iterator");require("core-js/modules/es.promise");Object.defineProperty(exports,"__esModule",{value:true});exports.checkVersions=void 0;var _nodeLatest=require("node-latest");
var _pluginError=_interopRequireDefault(require("plugin-error"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}


const checkVersion=async function(name,{current,latest}){
const currentVersion=current();
const latestVersion=await latest();

if(latestVersion===currentVersion){
return;
}

throw new _pluginError.default(
"gulp-versions",
`Please use latest ${name} version ${latestVersion}. Current version is ${currentVersion}.`);

};

const checkNodeVersion=checkVersion.bind(null,"Node.js",_nodeLatest.node);
const checkNpmVersion=checkVersion.bind(null,"npm",_nodeLatest.npm);

const checkVersions=async()=>{
await Promise.all([checkNodeVersion(),checkNpmVersion()]);
};exports.checkVersions=checkVersions;
//# sourceMappingURL=version.js.map