"use strict";require("core-js/modules/es.symbol.description");require("core-js/modules/es.promise");Object.defineProperty(exports,"__esModule",{value:true});exports.warnw=exports.warn=void 0;var _gulp=require("gulp");
var _gulpExeca=require("gulp-execa");

var _files=require("../files.js");
var _watch=require("../watch.js");

const audit=async()=>{

try{
await(0,_gulpExeca.exec)("npm audit -h",{verbose:false});
}catch(_unused){
return;
}

try{
await(0,_gulpExeca.exec)("npm audit --color=always",{verbose:false});
}catch(error){


console.error(error.all);
throw error;
}
};

const outdated=()=>(0,_gulpExeca.exec)("npm outdated");

const warn=(0,_gulp.parallel)(audit,outdated);exports.warn=warn;


warn.description="Check for outdated/vulnerable dependencies";

const warnw=(0,_watch.getWatchTask)(_files.DEPENDENCIES,warn);exports.warnw=warnw;
//# sourceMappingURL=warn.js.map