"use strict";require("core-js/modules/es.symbol.description");Object.defineProperty(exports,"__esModule",{value:true});exports.buildw=exports.build=void 0;var _path=require("path");

var _gulp=require("gulp");
var _gulpBabel=_interopRequireDefault(require("gulp-babel"));
var _del=_interopRequireDefault(require("del"));
var _mapSources=_interopRequireDefault(require("@gulp-sourcemaps/map-sources"));

var _files=require("../../files.js");
var _watch=require("../../watch.js");

var _babelrc=_interopRequireDefault(require("./.babelrc.js"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}

const SOURCES_GLOB=`{${_files.BUILD_SOURCES.join(",")}}/**`;






const clean=()=>(0,_del.default)(`${_files.BUILD}/**`,{onlyFiles:true});

const copy=()=>
(0,_gulp.src)([`${SOURCES_GLOB}/*[^~]`,`!${SOURCES_GLOB}/*.js`],{
dot:true,
since:(0,_gulp.lastRun)(copy)}).
pipe((0,_gulp.dest)(_files.BUILD));

const babel=()=>
(0,_gulp.src)(`${SOURCES_GLOB}/*.js`,{
dot:true,
since:(0,_gulp.lastRun)(babel),
sourcemaps:true}).

pipe((0,_gulpBabel.default)({..._babelrc.default,babelrc:false})).
pipe((0,_mapSources.default)(path=>`${(0,_path.relative)(path,".")}/${path}`)).
pipe((0,_gulp.dest)(_files.BUILD,{sourcemaps:"."}));

const rebuild=(0,_gulp.parallel)(copy,babel);
const build=(0,_gulp.series)(clean,rebuild);exports.build=build;


build.description="Build source files";

const buildWatchTask=(0,_watch.getWatchTask)(_files.BUILD_SOURCES,rebuild);
const buildw=(0,_gulp.series)(build,buildWatchTask);exports.buildw=buildw;
//# sourceMappingURL=main.js.map