"use strict";require("core-js/modules/es.symbol.description");require("core-js/modules/es.array.iterator");require("core-js/modules/es.promise");Object.defineProperty(exports,"__esModule",{value:true});exports.releasePatch=exports.releaseMinor=exports.releaseMajor=void 0;var _gulp=require("gulp");
var _releaseIt=_interopRequireDefault(require("release-it"));

var _test=require("../test.js");

var _version=require("./version.js");function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}

const releaseItTask=async function(increment){
await(0,_releaseIt.default)({...RELEASE_IT_CONFIG,increment});
};

const RELEASE_IT_CONFIG={
"non-interactive":true,
"disable-metrics":true,
github:{
release:true},

npm:{
publish:false}};



const prereleaseTasks=[_version.checkVersions,_test.testTask];


const releaseItMajor=()=>releaseItTask("major");
const releaseMajor=(0,_gulp.series)(...prereleaseTasks,releaseItMajor);exports.releaseMajor=releaseMajor;


releaseMajor.description="Release a new major version x.*.*";

const releaseItMinor=()=>releaseItTask("minor");
const releaseMinor=(0,_gulp.series)(...prereleaseTasks,releaseItMinor);exports.releaseMinor=releaseMinor;


releaseMinor.description="Release a new minor version *.x.*";

const releaseItPatch=()=>releaseItTask("patch");
const releasePatch=(0,_gulp.series)(...prereleaseTasks,releaseItPatch);exports.releasePatch=releasePatch;


releasePatch.description="Release a new patch version *.*.x";
//# sourceMappingURL=main.js.map