"use strict";require("core-js/modules/es.symbol.description");require("core-js/modules/es.promise");Object.defineProperty(exports,"__esModule",{value:true});exports.publish=void 0;var _fs=require("fs");
var _util=require("util");

var _gulp=require("gulp");
var _isCi=_interopRequireDefault(require("is-ci"));
var _pluginError=_interopRequireDefault(require("plugin-error"));
var _gulpExeca=require("gulp-execa");

var _files=require("../../files.js");
var _main=require("../build/main.js");function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}

const pAppendFile=(0,_util.promisify)(_fs.appendFile);






const npmPublish=async function(){
if(!_isCi.default){
throw new _pluginError.default(
"gulp-publish",
"This can only be performed in CI. Use `gulp release` instead.");

}

await pAppendFile(_files.NPMRC,NPMRC_CONTENT);
await(0,_gulpExeca.exec)("npm publish");
};





const NPMRC_CONTENT="//registry.npmjs.org/:_authToken=${NPM_TOKEN}\n";


const publish=(0,_gulp.series)(_main.build,npmPublish);exports.publish=publish;


publish.description="Publish to npm";
//# sourceMappingURL=publish.js.map