"use strict";require("core-js/modules/es.symbol.description");require("core-js/modules/es.array.iterator");require("core-js/modules/es.promise");Object.defineProperty(exports,"__esModule",{value:true});exports.getWatchTask=void 0;var _gulp=require("gulp");
var _renameFn=_interopRequireDefault(require("rename-fn"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}








const getWatchTask=function(files,firstArg,secondArg){
const[watchOptions,task]=parseOptions(firstArg,secondArg);

const watchTask=startWatch.bind(null,files,watchOptions,task);

addName(watchTask,task);
addDescription(watchTask,task);

return watchTask;
};exports.getWatchTask=getWatchTask;




const parseOptions=function(firstArg,secondArg){
if(typeof firstArg!=="object"||firstArg===null){
return[DEFAULT_WATCH_OPTIONS,firstArg];
}

return[{...DEFAULT_WATCH_OPTIONS,...firstArg},secondArg];
};

const DEFAULT_WATCH_OPTIONS={ignoreInitial:false};

const startWatch=function(files,watchOptions,task){


(0,_gulp.watch)(files,watchOptions,task);





return Promise.resolve();
};




const addName=function(watchTask,task){
const name=getName(task);
(0,_renameFn.default)(watchTask,name);
};

const getName=function(task){
if(typeof task!=="function"||INVALID_NAMES.includes(task.name)){
return"watch";
}

return`watch ${task.name}`;
};

const INVALID_NAMES=["","parallel","series","watch"];


const addDescription=function(watchTask,task){
if(typeof task!=="function"||typeof task.description!=="string"){
return;
}


watchTask.description=`${task.description} (watch mode)`;
};
//# sourceMappingURL=watch.js.map